# Method: scores.submitMultiple

- [HTTP request](https://developer.android.com/games/services/web/api/rest/v1/scores/submitMultiple#body.HTTP_TEMPLATE)
- [Query parameters](https://developer.android.com/games/services/web/api/rest/v1/scores/submitMultiple#body.QUERY_PARAMETERS)
- [Request body](https://developer.android.com/games/services/web/api/rest/v1/scores/submitMultiple#body.request_body)
- [Response body](https://developer.android.com/games/services/web/api/rest/v1/scores/submitMultiple#body.response_body)
  - [JSON representation](https://developer.android.com/games/services/web/api/rest/v1/scores/submitMultiple#body.SubmitMultipleLeaderboardScoresResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://developer.android.com/games/services/web/api/rest/v1/scores/submitMultiple#body.aspect)
- [PlayerScoreSubmissionList](https://developer.android.com/games/services/web/api/rest/v1/scores/submitMultiple#PlayerScoreSubmissionList)
  - [JSON representation](https://developer.android.com/games/services/web/api/rest/v1/scores/submitMultiple#PlayerScoreSubmissionList.SCHEMA_REPRESENTATION)
- [ScoreSubmission](https://developer.android.com/games/services/web/api/rest/v1/scores/submitMultiple#ScoreSubmission)
  - [JSON representation](https://developer.android.com/games/services/web/api/rest/v1/scores/submitMultiple#ScoreSubmission.SCHEMA_REPRESENTATION)
- [Try it!](https://developer.android.com/games/services/web/api/rest/v1/scores/submitMultiple#try-it)

Submits multiple scores to leaderboards.

### HTTP request

`POST https://games.googleapis.com/games/v1/leaderboards/scores`

### Query parameters

|                                       Parameters                                        ||
|------------|-----------------------------------------------------------------------------|
| `language` | `string` The preferred language to use for strings returned by this method. |

### Request body

The request body contains an instance of[PlayerScoreSubmissionList](https://developer.android.com/games/services/web/api/rest/v1/scores/submitMultiple#PlayerScoreSubmissionList).

### Response body

A list of score submission statuses.

If successful, the response body contains data with the following structure:

|                                                                     JSON representation                                                                     |
|-------------------------------------------------------------------------------------------------------------------------------------------------------------|
| ``` { "kind": string, "submittedScores": [ { object (https://developer.android.com/games/services/web/api/rest/v1/SubmitLeaderboardScoreResponse) } ] } ``` |

|                                                                                             Fields                                                                                              ||
|---------------------|----------------------------------------------------------------------------------------------------------------------------------------------------------------------------|
| `kind`              | `string` Uniquely identifies the type of this resource. Value is always the fixed string`games#playerScoreListResponse`.                                                   |
| `submittedScores[]` | `object (`[SubmitLeaderboardScoreResponse](https://developer.android.com/games/services/web/api/rest/v1/SubmitLeaderboardScoreResponse)`)` The score submissions statuses. |

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/games`
- `
  https://www.googleapis.com/auth/games_lite`

For more information, see the[OAuth 2.0 Overview](https://developers.google.com/identity/protocols/OAuth2).

## PlayerScoreSubmissionList

A list of score submission requests.

|                                                                    JSON representation                                                                    |
|-----------------------------------------------------------------------------------------------------------------------------------------------------------|
| ``` { "kind": string, "scores": [ { object (https://developer.android.com/games/services/web/api/rest/v1/scores/submitMultiple#ScoreSubmission) } ] } ``` |

|                                                                                Fields                                                                                 ||
|------------|-----------------------------------------------------------------------------------------------------------------------------------------------------------|
| `kind`     | `string` Uniquely identifies the type of this resource. Value is always the fixed string`games#playerScoreSubmissionList`.                                |
| `scores[]` | `object (`[ScoreSubmission](https://developer.android.com/games/services/web/api/rest/v1/scores/submitMultiple#ScoreSubmission)`)` The score submissions. |

## ScoreSubmission

A request to submit a score to leaderboards.

|                                              JSON representation                                              |
|---------------------------------------------------------------------------------------------------------------|
| ``` { "kind": string, "leaderboardId": string, "score": string, "scoreTag": string, "signature": string } ``` |

|                                                                              Fields                                                                               ||
|-----------------|--------------------------------------------------------------------------------------------------------------------------------------------------|
| `kind`          | `string` Uniquely identifies the type of this resource. Value is always the fixed string`games#scoreSubmission`.                                 |
| `leaderboardId` | `string` The leaderboard this score is being submitted to.                                                                                       |
| `score`         | `string (`[int64](https://developers.google.com/discovery/v1/type-format)` format)` The new score being submitted.                               |
| `scoreTag`      | `string` Additional information about this score. Values will contain no more than 64 URI-safe characters as defined by section 2.3 of RFC 3986. |
| `signature`     | `string` Signature Values will contain URI-safe characters as defined by section 2.3 of RFC 3986.                                                |